Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl
Class BufferUtils

    java.lang.Object
      org.lwjgl.BufferUtils

    public final class BufferUtils

extends java.lang.Object

Some often-used Buffer code for creating native buffers of the appropriate size.

Version:
  $Revision: 2767 $ $Id: BufferUtils.java 2767 2007-04-15 19:33:03Z elias_naur $
Author:
  $Author: elias_naur $

Constructor Summary
`BufferUtils()`

Method Summary
`static java.nio.ByteBuffer` | `createByteBuffer(int size)` Construct a direct native-ordered bytebuffer with the specified size.
`static java.nio.CharBuffer` | `createCharBuffer(int size)` Construct a direct native-order charbuffer with the specified number of elements.
`static java.nio.DoubleBuffer` | `createDoubleBuffer(int size)` Construct a direct native-order doublebuffer with the specified number of elements.
`static java.nio.FloatBuffer` | `createFloatBuffer(int size)` Construct a direct native-order floatbuffer with the specified number of elements.
`static java.nio.IntBuffer` | `createIntBuffer(int size)` Construct a direct native-order intbuffer with the specified number of elements.
`static java.nio.LongBuffer` | `createLongBuffer(int size)` Construct a direct native-order longbuffer with the specified number of elements.
`static java.nio.ShortBuffer` | `createShortBuffer(int size)` Construct a direct native-order shortbuffer with the specified number of elements.
`static int` | `getElementSizeExponent(java.nio.Buffer buf)`
`static int` | `getOffset(java.nio.Buffer buffer)` A helper function which is used to get the byte offset in an arbitrary buffer based on its position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferUtils

    public BufferUtils()

Method Detail

### createByteBuffer

    public static java.nio.ByteBuffer createByteBuffer(int size)

  Construct a direct native-ordered bytebuffer with the specified size.

  Parameters:
    `size` - The size, in bytes
  Returns:
    a ByteBuffer

### createShortBuffer

    public static java.nio.ShortBuffer createShortBuffer(int size)

  Construct a direct native-order shortbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in shorts
  Returns:
    a ShortBuffer

### createCharBuffer

    public static java.nio.CharBuffer createCharBuffer(int size)

  Construct a direct native-order charbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in chars
  Returns:
    an CharBuffer

### createIntBuffer

    public static java.nio.IntBuffer createIntBuffer(int size)

  Construct a direct native-order intbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in ints
  Returns:
    an IntBuffer

### createLongBuffer

    public static java.nio.LongBuffer createLongBuffer(int size)

  Construct a direct native-order longbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in longs
  Returns:
    an LongBuffer

### createFloatBuffer

    public static java.nio.FloatBuffer createFloatBuffer(int size)

  Construct a direct native-order floatbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in floats
  Returns:
    a FloatBuffer

### createDoubleBuffer

    public static java.nio.DoubleBuffer createDoubleBuffer(int size)

  Construct a direct native-order doublebuffer with the specified number of elements.

  Parameters:
    `size` - The size, in floats
  Returns:
    a FloatBuffer

### getElementSizeExponent

    public static int getElementSizeExponent(java.nio.Buffer buf)

  Returns:
    n, where buffer_element_size=2^n.

### getOffset

    public static int getOffset(java.nio.Buffer buffer)

  A helper function which is used to get the byte offset in an arbitrary buffer based on its position

  Returns:
    the position of the buffer, in BYTES

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.